> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/storage-update.md).

# storage update

Update a Storage Account

## Synopsis

```shell
omics workbench storage update STORAGE_ID
  [--name NAME]
  [--access-key-id ACCESS_KEY_ID]
  [--secret-access-key SECRET_ACCESS_KEY]
  [--region REGION]
```

## Description

Update the configuration of an existing storage account in Workbench. This command allows you to modify the details of a storage account, such as the access keys or region.

## Examples

Update the name of an existing storage account with the given `STORAGE_ID`:

```shell
omics workbench storage update aws my-aws-account --name "My updated AWS Account"
```

Update the access keys, and region of an existing storage account with the given `STORAGE_ID`:

```shell
omics workbench storage update aws my-aws-account
  --access-key-id AKIA1USDFGPGUDF9FROW
  --secret-access-key my-secret-access-key
  --region us-east-1
```

## Positional Arguments

### `STORAGE_ID`

The user-defined ID of the storage account to add.

## Flags

### `--name`=`NAME`

A human readable name for the account.

### `--access-key-id`=`ACCESS_KEY_ID`

The access Key ID to authenticate to AWS with.

### `--secret-access-key`=`SECRET_ACCESS_KEY`

The secret value of the access key.

### `--region`=`REGION`

The AWS region the access key is for.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/storage-update.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
